$score-label-font-size: map-get($font-sizes, 'small') !default;
$score-label-font-weight: 100 !default;
$score-label-text-transform: uppercase !default;

$score-value-font: $monospace-font-family !default;
$score-value-font-size: map-get($font-sizes, 'h1') !default;
$score-value-font-weight: bold !default;
$score-value-height: rhythm(2);

$score-winner-bottom: rhythm(-1) !default;
$score-winner-font-size: map-get($font-sizes, 'tiny') !default;
$score-winner-text-transform: uppercase !default;
$score-winner-color: map-get($text-colors, 'warning') !default;


.#{$namespace}-score {
  position: relative;
  flex: 1;
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
  text-align: center;

  &--winner {
    &::after {
      content: 'Winner! :)';
      position: absolute;
      bottom: $score-winner-bottom;
      left: 0;
      right: 0;
      text-align: center;
      font-size: $score-winner-font-size;
      text-transform: $score-winner-text-transform;
      color: $score-winner-color;
    }
  }

  &__label {
    margin: 0;
    padding: 0;
    font-size: $score-label-font-size;
    font-weight: $score-label-font-weight;
    text-transform: $score-label-text-transform;
  }

  &__value {
    margin: 0;
    padding: 0;
    font-family: $score-value-font;
    font-size: $score-value-font-size;
    font-weight: $score-value-font-weight;
    line-height: $score-value-height;
  }
}